Mandrake Linux Security Advisory : perl (MDKSA-2005:225)

This script is Copyright (C) 2006-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

Jack Louis discovered a new way to exploit format string errors in the
Perl programming language that could lead to the execution of
arbitrary code.

The updated packages are patched to close the particular exploit
vector in Perl itself, to mitigate the risk of format string
programming errors, however it does not fix problems that may exist in
particular pieces of software written in Perl.

See also :

http://www.nessus.org/u?a844180b

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 4.0
(CVSS2#E:ND/RL:OF/RC:ND)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 20456 (mandrake_MDKSA-2005-225.nasl)

Bugtraq ID: 15629

CVE ID: CVE-2005-3962

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now